package domain


type AlibabaWdkopenOrderGetSuborders struct {
    /*
        五道口子订单id     */
    BizSubOrderId  *int64 `json:"biz_sub_order_id,omitempty" `

    /*
        外部子订单id     */
    OutSubOrderId  *string `json:"out_sub_order_id,omitempty" `

    /*
        商品code     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        商品名称     */
    AuctionTitle  *string `json:"auction_title,omitempty" `

    /*
        商品价格     */
    AuctionPrice  *int64 `json:"auction_price,omitempty" `

    /*
        销售单位购买数量     */
    BuyAmountSale  *int64 `json:"buy_amount_sale,omitempty" `

    /*
        库存单位购买数量     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        子订单用户支付金额     */
    PayFee  *int64 `json:"pay_fee,omitempty" `

    /*
        子订单原价     */
    OriginFee  *int64 `json:"origin_fee,omitempty" `

    /*
        子订单优惠金额     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        商家优惠分摊     */
    DiscountMerchantFee  *int64 `json:"discount_merchant_fee,omitempty" `

    /*
        平台优惠分摊     */
    DiscountPlatformFee  *int64 `json:"discount_platform_fee,omitempty" `

    /*
        子单价格     */
    Price  *int64 `json:"price,omitempty" `

    /*
        是否为组合品     */
    CombineItem  *bool `json:"combine_item,omitempty" `

    /*
        组合品列表     */
    CombineItemList  *[]AlibabaWdkopenOrderGetCombineItem `json:"combine_item_list,omitempty" `

}

func (s *AlibabaWdkopenOrderGetSuborders) SetBizSubOrderId(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.BizSubOrderId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetOutSubOrderId(v string) *AlibabaWdkopenOrderGetSuborders {
    s.OutSubOrderId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetSkuCode(v string) *AlibabaWdkopenOrderGetSuborders {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetAuctionTitle(v string) *AlibabaWdkopenOrderGetSuborders {
    s.AuctionTitle = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetAuctionPrice(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.AuctionPrice = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetBuyAmountSale(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.BuyAmountSale = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetBuyAmountStock(v string) *AlibabaWdkopenOrderGetSuborders {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetSaleUnit(v string) *AlibabaWdkopenOrderGetSuborders {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetStockUnit(v string) *AlibabaWdkopenOrderGetSuborders {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetPayFee(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.PayFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetOriginFee(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.OriginFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetDiscountFee(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetDiscountMerchantFee(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.DiscountMerchantFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetDiscountPlatformFee(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.DiscountPlatformFee = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetPrice(v int64) *AlibabaWdkopenOrderGetSuborders {
    s.Price = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetCombineItem(v bool) *AlibabaWdkopenOrderGetSuborders {
    s.CombineItem = &v
    return s
}
func (s *AlibabaWdkopenOrderGetSuborders) SetCombineItemList(v []AlibabaWdkopenOrderGetCombineItem) *AlibabaWdkopenOrderGetSuborders {
    s.CombineItemList = &v
    return s
}
